#Region AutoIt3Wrapper directives section
#AutoIt3Wrapper_UseAnsi=Y
#AutoIt3Wrapper_Outfile=RunAfter.exe
#AutoIt3Wrapper_Outfile_Type=exe
#AutoIt3Wrapper_Compression=3
#AutoIt3Wrapper_UseUpx=Y
#AutoIt3Wrapper_Res_SaveSource=N
#AutoIt3Wrapper_Res_Fileversion=0.0.0.1
#AutoIt3Wrapper_Res_Language=1033
#AutoIt3Wrapper_Res_LegalCopyright=(C) 2008, Hank7
#EndRegion AutoIt3Wrapper directives section

FileChangeDir(@ScriptDir)

$array = StringSplit($CmdLine[1], "\")
$projectname = StringTrimRight($array[$array[0]], 4)

$source = $CmdLine[1]
$destination = FileGetLongName($projectname & ".scr", 1)

If Not FileExists($source) Then
	MsgBox(262160, "Error", $source & " does not exist.")
	Exit
EndIf

If FileExists($destination) Then
	$MSB_FileMove = MsgBox(262177, "Replace File?", $destination & " already exists." & @CRLF & "Do you want to replace it with " & $source & "?")
Else
	;$MSB_FileMove = MsgBox(262177, "Rename File?", "Do you want to rename " & $source & @CRLF & " to " & $destination & "?")
	$MSB_FileMove = 1
EndIf

If $MSB_FileMove = 1 Then
	$filemove = FileMove ( $source, $destination, 1 )
	If $filemove = 0 Then
		MsgBox(0, "Error", "Could not move " & $source & " to " & $destination & ".")
	EndIf
ElseIf $MSB_FileMove = 2 Then
	Exit
EndIf

$version = FileOpen("SSRversion.au3", 10)
	FileWrite($version, '$newversion = "' & FileGetVersion($destination) & '"')
FileClose($version)